Summary:	C# client implementation for Desktop Notifications
Summary(pl.UTF-8):	Implementacja C# klienta usługi Desktop Notifications
Name:		dotnet-notify-sharp
Version:	0.4.1
Release:	2
License:	MIT
Group:		Libraries
Source0:	https://www.meebey.net/projects/notify-sharp/downloads/notify-sharp-%{version}.tar.gz
# Source0-md5:	46fcb7a6b9b1cd0241366b8234e31e37
Patch0:		%{name}-monodir.patch
Patch1:		notify-sharp-dbus.patch
URL:		https://www.meebey.net/projects/notify-sharp/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel >= 1:0.7
BuildRequires:	dotnet-dbus-sharp-glib-devel >= 0.5
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10.1
BuildRequires:	mono-csharp >= 1.1.13
BuildRequires:	mono-devel >= 1.1.13
BuildRequires:	mono-monodoc >= 1.1.18
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.015
Requires:	dotnet-dbus-sharp >= 1:0.7
Requires:	dotnet-dbus-sharp-glib >= 0.5
Requires:	dotnet-gtk-sharp2 >= 2.10.1
Requires:	mono >= 1.1.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# no native code
%define		_enable_debug_packages	0

%description
notify-sharp (Notify#) is a C# client implementation for Desktop
Notifications, i.e. notification-daemon. It is inspired by the
libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%description -l pl.UTF-8
notify-sharp (Notify#) to implementacja w C# klienta usługi Desktop
Notifications (powiadomień w środowisku graficznym), tj. usługi
notification-daemon. Jest zainspirowana API biblioteki libnotify.

Desktop Notifications to usługa zapewniająca standardową metodę
wykonywania pasywnych powiadomień poprzez wyskakujące okienka na
pulpicie Linuksa. Jest zaprojektowana w celu powiadamiania użytkownika
o jakimś zdarzeniu bez przerywania pracy oknem dialogowym, które
trzeba zamknąć. Pasywne wyskakujące okienka mogą znikać automatycznie
po krótkim okresie czasu.

%package devel
Summary:	Development files for notify-sharp library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki notify-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2-devel >= 2.10.1
Requires:	mono-devel >= 1.1.13

%description devel
Development files for notify-sharp library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki notify-sharp.

%prep
%setup -q -n notify-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	GMCS=/usr/bin/mcs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_prefix}/lib/mono/gac/notify-sharp
%{_prefix}/lib/mono/gac/notify-sharp/0.4.0.0__*

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/notify-sharp
%{_prefix}/lib/mono/notify-sharp/notify-sharp.dll
%{_prefix}/lib/monodoc/sources/notify-sharp-docs.*
%{_pkgconfigdir}/notify-sharp.pc
%changelog
* Tue Apr 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-notify-sharp.git;a=log;h=master

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> fd079be
- added dbus patch (adjust for dbus-sharp 2.0 API); release 2

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 5fce88c
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 71e5b04
- updated to 0.4.1 forked out from ndesk (now based on dbus-sharp*)

* Thu Feb 14 2013 Elan Ruusamäe <glen@delfi.ee> 35bae81
- update BR with cleanbuild

* Thu Feb 14 2013 Elan Ruusamäe <glen@delfi.ee> 24aee74
- up to 20100411 snapshot

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 5aceae3
- unified %clean section

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 5672525
- rel 3
- actually regenerate the build tools

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 01afff6
- rel 2

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> df84fd2
- modify both paths

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 980116a
- add monodir patch
- rel 1

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 3ddeda8
- always install to /prefix/lib

* Mon Oct 20 2008 aredridel <aredridel@pld-linux.org> 5a0f742
- 0.4.0

